Subject: Re: bug#64872: guix pull: texlive-hyphen-complete: build failed (was: "guix pull: po4a: build failed")

From: Artyom Poptsov <[email-masked]>
Date: Fri, 4 Aug 2023 10:01:16 +0300

Hello,

Sorry for the late reply!

I removed
  http_proxy=http://127.0.0.1:9080 https_proxy=http://127.0.0.1:9080
from my "Environment" variable in "guix-daemon.service" and after I restarted
the Guix daemon "guix pull" and "guix upgrade" went flawlessly.

Thank you for your help.

- avp

On Fri, 28 Jul 2023 at 20:28, Christopher Baines <[email-masked]> wrote:
>
>
> Artyom Poptsov <[email-masked]> writes:
>
> > Besides, I run GNU Guix on Ubuntu 22.04.2 LTS.
> > Please find my SystemD Guix service attached.
> >
> > As you can see, I'm using a substitution service through Yggdrasil
> > network: http://ci.guix.ygg.trop.in
> > Also there's a proxy server configured.
>
> The downloading of the nar will pass through the proxy you've got
> configured, so I guess that could be involved.
>
> I've now pushed a change to the code for downloading these nars so that
> it outputs errors that it encounters. If you've got a checkout of
> guix.git, you'll need to pull then do:
>
>   ./pre-inst-env guix build -S texlive-hyphen-complete
>
> or:
>
>   ./pre-inst-env guix build --check -S texlive-hyphen-complete
>
> Hopefully that output will include information about why the nar
> couldn't be downloaded from bordeaux. You could also try configuring
> wget to use the same proxy and trying the download that way.

-- 
Artyom V. Poptsov <[email-masked]>
Home page: https://memory-heap.org/~avp/
CADR Hackerspace co-founder: https://cadrspace.ru/
GPG: D0C2 EAC1 3310 822D 98DE  B57C E9C5 A2D9 0898 A02F